-- AUTHORS COMMENTS
-- Raid"reinviter" for ESO.
-- As it is now when you fail a trial you have to leave the dungeon, dispand the raid and again invite everyone
-- This Addon simply saves which person was in your group and the reinvites them via a button click!
-->  modified by Baertram to version 1.1

-- VARIABLE DECLARATION
local groupSize = 1			-- Holds the group size
local unitName = {}			-- Holds the names of every player in the group
local isHidden = false		-- Holds if the Frame of the addon is hidden
local settings = {}

function SaveLoc()
	settings.OffsetX = trg_fco:GetLeft()
	settings.OffsetY = trg_fco:GetTop()
end

function save()
	-- Get group Size
	groupSize = GetGroupSize()

    if groupSize <= 1 then return end

	d(">> Group saved")

	-- Cycle through group and save their "unitTags"
	for i=1, groupSize, 1 do
		unitName[i] = GetUnitName(GetGroupUnitTagByIndex(i))
	end
end

function disband()
	if GetGroupSize() > 1 then
		GroupDisband()
	end
end

function reGroup()
	if groupSize <= 1 then return end

	d(">> Regrouping")
	-- Cycle through array and invite people
	for i=1, groupSize, 1 do
        if unitName[i] ~= nil and unitName[i] ~= "" then
	    	GroupInviteByName(unitName[i])
        end
	end
end

-- Show or hide mod UI
function chatCommand(command)
	if isHidden == false then
		isHidden = true;
		trg_fco:SetHidden(true)
	else
		isHidden = false;
		trg_fco:SetHidden(false)
	end
end

-- Define new chat command
SLASH_COMMANDS["/trg"] = chatCommand;

local function AddonInitialize()
	local defaultSettings = {
    	OffsetX = 0,
        OffsetY = 0,
    }
	settings = ZO_SavedVars:New("TrialRegrouperSettings", 1.1, nil, defaultSettings)

	trg_fco:ClearAnchors()
	trg_fco:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, settings.OffsetX, settings.OffsetY)
end

local function OnAddOnLoaded(event, addonName)
	if addonName ~= "trialRegrouper" then return end
	EVENT_MANAGER:UnregisterForEvent("trialRegrouper", EVENT_ADD_ON_LOADED)
	AddonInitialize()
end

EVENT_MANAGER:RegisterForEvent("trialRegrouper", EVENT_ADD_ON_LOADED, OnAddOnLoaded)
